## r-cran-conquer 1.0.2

=== DESCRIPTION ===
Package: conquer
Type: Package
Title: Convolution-Type Smoothed Quantile Regression
Version: 1.0.2
Date: 2020-08-25
Authors@R: c(person("Xuming", "He", email = "xmhe@umich.edu", role = "aut"),
             person("Xiaoou", "Pan", email = "xip024@ucsd.edu", role = c("aut", "cre")), 
             person("Kean Ming", "Tan", email = "keanming@umich.edu", role = "aut"),
             person("Wen-Xin", "Zhou", email = "wez243@ucsd.edu", role = "aut"))
Description: Fast and accurate convolution-type smoothed quantile regression. Implemented using Barzilai-Borwein gradient descent with a Huber regression warm start. Construct confidence intervals for regression coefficients using multiplier bootstrap.
Depends: R (>= 3.5.0)
License: GPL-3
Encoding: UTF-8
URL: https://github.com/XiaoouPan/conquer
SystemRequirements: C++11
Imports: Rcpp (>= 1.0.3), Matrix, matrixStats, stats
LinkingTo: Rcpp, RcppArmadillo (>= 0.9.850.1.0)
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-08-26 05:51:01 UTC; xopan
Author: Xuming He [aut],
  Xiaoou Pan [aut, cre],
  Kean Ming Tan [aut],
  Wen-Xin Zhou [aut]
Maintainer: Xiaoou Pan <xip024@ucsd.edu>
Repository: CRAN
Date/Publication: 2020-08-27 05:10:24 UTC

## r-cran-conquer 1.0.1

=== debian/changelog ===
r-cran-conquer (1.0.1-1) unstable; urgency=low

  * Initial Debian release				(Closes: #964753)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Jul 2020 19:32:52 -0500

=== debian/control ===
Source: r-cran-conquer
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-conquer
Vcs-Git: https://salsa.debian.org/edd/r-cran-conquer.git
Homepage: https://cran.r-project.org/package=conquer

Package: r-cran-conquer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix
Description: GNU R package for convolution-type smoothed quantile regression
 The package offers fast and accurate convolution-type smoothed
 quantile regression. It is implemented using Barzilai-Borwein gradient
 descent with a Huber regression warm start. It constructs confidence
 intervals for regression coefficients using multiplier bootstrap.

## r-cran-conquer 1.0.2

=== debian/changelog ===
r-cran-conquer (1.0.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (>= 10)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Aug 2020 09:01:46 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix
+Build-Depends: debhelper-compat (= 10), r-base-dev (>= 4.0.2), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-conquer
 Vcs-Git: https://salsa.debian.org/edd/r-cran-conquer.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-conquer package
# Copyright 2003 - 2020 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-conquer 1.2.2

=== DESCRIPTION ===
Package: conquer
Type: Package
Title: Convolution-Type Smoothed Quantile Regression
Version: 1.2.2
Date: 2022-02-12
Authors@R: c(person("Xuming", "He", email = "xmhe@umich.edu", role = "aut"),
             person("Xiaoou", "Pan", email = "xip024@ucsd.edu", role = c("aut", "cre")), 
             person("Kean Ming", "Tan", email = "keanming@umich.edu", role = "aut"),
             person("Wen-Xin", "Zhou", email = "wez243@ucsd.edu", role = "aut"))
Description: Estimation and inference for conditional linear quantile regression models using a convolution smoothed approach. In the low-dimensional setting, efficient gradient-based methods are employed for fitting both a single model and a regression process over a quantile range. Normal-based and (multiplier) bootstrap confidence intervals for all slope coefficients are constructed. In high dimensions, the conquer methods complemented with l_1-penalization and iteratively reweighted l_1-penalization are used to fit sparse models.
Depends: R (>= 3.5.0)
License: GPL-3
Encoding: UTF-8
URL: https://github.com/XiaoouPan/conquer
SystemRequirements: C++11
Imports: Rcpp (>= 1.0.3), Matrix, matrixStats, stats
LinkingTo: Rcpp, RcppArmadillo (>= 0.9.850.1.0)
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-02-12 22:13:22 UTC; xopan
Author: Xuming He [aut],
  Xiaoou Pan [aut, cre],
  Kean Ming Tan [aut],
  Wen-Xin Zhou [aut]
Maintainer: Xiaoou Pan <xip024@ucsd.edu>
Repository: CRAN
Date/Publication: 2022-02-12 23:10:22 UTC

=== debian/changelog ===
r-cran-conquer (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Feb 2022 10:52:22 -0600

r-cran-conquer (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Add (Build-)Depends on caret

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version  
  * debian/control: Update to debhelper-compat (>= 11)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 Nov 2021 19:28:39 -0500

=== debian/control ===
Source: r-cran-conquer
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-conquer
Vcs-Git: https://salsa.debian.org/edd/r-cran-conquer.git
Homepage: https://cran.r-project.org/package=conquer

Package: r-cran-conquer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
Description: GNU R package for convolution-type smoothed quantile regression
 The package offers fast and accurate convolution-type smoothed
 quantile regression. It is implemented using Barzilai-Borwein gradient
 descent with a Huber regression warm start. It constructs confidence
 intervals for regression coefficients using multiplier bootstrap.

## r-cran-conquer 1.3.0

=== debian/changelog ===
r-cran-conquer (1.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Mar 2022 11:09:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-conquer
 Vcs-Git: https://salsa.debian.org/edd/r-cran-conquer.git

## r-cran-conquer 1.3.2

=== DESCRIPTION ===
Package: conquer
Type: Package
Title: Convolution-Type Smoothed Quantile Regression
Version: 1.3.2
Date: 2023-02-05
Authors@R: c(person("Xuming", "He", email = "xmhe@umich.edu", role = "aut"),
             person("Xiaoou", "Pan", email = "xip024@ucsd.edu", role = c("aut", "cre")), 
             person("Kean Ming", "Tan", email = "keanming@umich.edu", role = "aut"),
             person("Wen-Xin", "Zhou", email = "wez243@ucsd.edu", role = "aut"))
Description: Estimation and inference for conditional linear quantile regression models using a convolution smoothed approach. In the low-dimensional setting, efficient gradient-based methods are employed for fitting both a single model and a regression process over a quantile range. Normal-based and (multiplier) bootstrap confidence intervals for all slope coefficients are constructed. In high dimensions, the conquer method is complemented with flexible types of penalties (Lasso, elastic-net, group lasso, sparse group lasso, scad and mcp) to deal with complex low-dimensional structures.
Depends: R (>= 3.5.0)
License: GPL-3
Encoding: UTF-8
URL: https://github.com/XiaoouPan/conquer
SystemRequirements: C++17
Imports: Rcpp (>= 1.0.3), Matrix, matrixStats, stats
LinkingTo: Rcpp, RcppArmadillo (>= 0.9.850.1.0)
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2023-02-06 00:42:08 UTC; xopan
Author: Xuming He [aut],
  Xiaoou Pan [aut, cre],
  Kean Ming Tan [aut],
  Wen-Xin Zhou [aut]
Maintainer: Xiaoou Pan <xip024@ucsd.edu>
Repository: CRAN
Date/Publication: 2023-02-06 01:12:30 UTC

=== debian/changelog ===
r-cran-conquer (1.3.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 Feb 2023 17:58:45 -0600

r-cran-conquer (1.3.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Sep 2022 17:48:50 -0500

## r-cran-conquer 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: conquer
 Type: Package
 Title: Convolution-Type Smoothed Quantile Regression
-Version: 1.3.2
-Date: 2023-02-05
+Version: 1.3.3
+Date: 2023-03-05
 Authors@R: c(person("Xuming", "He", email = "xmhe@umich.edu", role = "aut"),
              person("Xiaoou", "Pan", email = "xip024@ucsd.edu", role = c("aut", "cre")), 
              person("Kean Ming", "Tan", email = "keanming@umich.edu", role = "aut"),
@@ -17,11 +17,11 @@
 LinkingTo: Rcpp, RcppArmadillo (>= 0.9.850.1.0)
 RoxygenNote: 7.2.1
 NeedsCompilation: yes
-Packaged: 2023-02-06 00:42:08 UTC; xopan
+Packaged: 2023-03-06 06:51:17 UTC; xopan
 Author: Xuming He [aut],
   Xiaoou Pan [aut, cre],
   Kean Ming Tan [aut],
   Wen-Xin Zhou [aut]
 Maintainer: Xiaoou Pan <xip024@ucsd.edu>
 Repository: CRAN
-Date/Publication: 2023-02-06 01:12:30 UTC
+Date/Publication: 2023-03-06 08:40:02 UTC

=== debian/changelog ===
r-cran-conquer (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Mar 2023 15:36:04 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcpparmadillo, r-cran-matrixstats, r-cran-matrix, r-cran-caret
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-conquer
 Vcs-Git: https://salsa.debian.org/edd/r-cran-conquer.git
 Homepage: https://cran.r-project.org/package=conquer

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/conquer_([-\d\.]*)\.tar.gz
